Last updated: September 23, 2026

Create LDAP Directory

Create LDAP Directory.

Request

POSThttps://superadminuser.miniorange.in/services/api/idps/v1/ldap

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
displayNameStringOptional
identifierStringOptional
domainMappingStringOptional
showIdpToUsersStringOptional
endUserLoginStringOptional
isDefaultStringOptional
connectionStringOptional
userAttributesStringOptional
authenticationStringOptional

Request body

{
    "displayName": "Corporate LDAP",
    "identifier": "corporate_ldap",
    "domainMapping": "",
    "showIdpToUsers": false,
    "endUserLogin": true,
    "isDefault": false,
    "connection": {
        "urlPrefix": "ldap://",
        "gatewayUrl": "ldap.example.com:389",
        "gatewayHost": "miniorange",
        "isGatewayInstalled": false,
        "dirType": "Active Directory",
        "bindAccDn": "cn=admin,dc=example,dc=com",
        "bindAccPass": "secret",
        "searchBase": "dc=example,dc=com",
        "searchFilter": "(objectClass=person)",
        "allowChangePassword": false,
        "authenticateAdminFromLdap": false
    },
    "userAttributes": {
        "usernameAttribute": "uid",
        "emailAttribute": "mail",
        "firstNameAttribute": "givenName",
        "lastNameAttribute": "sn",
        "isSendConfiguredAttributes": false,
        "attributeMapping": []
    },
    "authentication": {
        "isActivated": true,
        "showIdpToUsers": false,
        "isFallbackEnabled": false,
        "syncUserInMiniorange": false,
        "authenticateAdminFromLdap": false
    }
}

No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.

Copied